Testers needed for KDE 3.5.5 ports

Han Boetes han at mijncomputer.nl
Fri Nov 3 17:56:23 UTC 2006


Alan Mizrahi wrote:
> On Thursday 02 November 2006 8:10 pm, Anton Vorontsov wrote:
> > Alan, is sudo, gpg, libidn, openldap, imlib, freeglut, gamin
> > really necessary for that version of kdelibs? The same
> > question about samba, ghostscript, cdparanoia, lame for the
> > kdebase.
> >
> > I'm using kde 3.5.3 without that bloat.
>
> I agree, but I didn't want to be so aggressive removing
> dependencies because it seemed like everybody was fine with them
> before I inherited the KDE responsibility.
>
> In fact, I removed tetex (HUGE download and build time) and
> esound from the dependency list because of this, but I'll go a
> bit further before making this release.
>
> Its a matter of balance: for some people cups and openldap are a
> real necessity and for others its bloat.  Some people might
> think that if you are already using KDE you already like bloated
> software :)

It's not a matter of balance. kde doesn't need openldap and cups
to build. But if you have ldap and cups installed before you build
kde you will get support for it.

On the other hand if you want to use prt-get depinstall kde you
will install stuff you don't want to have and you don't need, so
you have to manually compile the package which names the
dependencies.

In my opinion it would be nice if prt-get would ask if you want to
install "Nice to have:" dependencies if he finds them. And to
avoid questioning you can set an option to automatically say yes
or no.



# Han
--
http://www.xs4all.nl/~hanb/software/crux/



More information about the CRUX mailing list